@echo off
rem fw.bat -- Batch from FW-Macros for THE (The Hessling Editor)
rem Copyright (C) 1997 Franz-Josef Wirtz
rem
rem This batch is free software; see the files README and COPYING for
rem details about refusing any warranty and the GNU General Public License.
rem
rem WHAT IS IT GOOD FOR?
rem batch for using the FW-macro-set *besides* the THE-standard-installation

rem WHAT YOU NEED TO DO
rem 1. Install THE as usual, if done first time, be sure the environment
rem    settings are available. I.e. eventually reboot to activate changes
rem    in your config.sys.
rem 2. You should change the variable THE_FW_HOME below to the place, where
rem    you have installed the fw-macro-package
rem 3. Copy or move this batch to a directory in your path-setting (or create
rem    an object...)
rem 4. Eventually add own settings at point marked ***

rem last change: 16.11.1997

rem check, wether THE is minimally installed
IF "%THE_HOME_DIR%" == "" goto no_the_home
if not exist %THE_HOME_DIR%\the.exe goto no_the_executable

rem *** I prefer using the 50 lines mode, 
rem prepend a 'rem' if you don't like it too
mode co80,50

rem backup old configuration if set in config.sys

set THE_OLD_HELP_FILE=%THE_HELP_FILE%
set THE_OLD_PROFILE_FILE=%THE_PROFILE_FILE%
set THE_OLD_MACRO_PATH=%THE_MACRO_PATH%

rem set new configuration

rem ------------vvv***vvv
set THE_FW_HOME=g:\home\fjw\fw
rem ------------^^^^^^^^^

set THE_HELP_FILE=%THE_FW_HOME%\mainhelp.mnu
set THE_PROFILE_FILE=%THE_FW_HOME%\fw.the
set THE_MACRO_PATH=%THE_FW_HOME%;%THE_FW_HOME%\tex;%THE_FW_HOME%\the;%THE_FW_HOME%\std;%THE_OLD_MACRO_PATH%

rem ***

rem to setup own extension specific macros, menus and help:
rem add location of other extension specific macros to the_macro_path above
rem for locating help and menus

rem note the usage of ';' instead of ':' as described in the.man

rem start THE with arguments
%THE_HOME_DIR%\the %1 %2 %3 %3 %5 %6 %7 %8 %9

rem restore old configuration

set THE_HELP_FILE=%THE_OLD_HELP_FILE%
set THE_PROFILE_FILE=%THE_OLD_PROFILE_FILE%
set THE_MACRO_PATH=%THE_OLD_MACRO_PATH%
goto last_exit

:no_the_home
echo The environment variable THE_HOME_DIR is not set.
goto the_installation

:no_the_executable
echo The executable THE.EXE could not be found in %THE_HOME_DIR%
dir %THE_HOME_DIR%
goto the_installation

:the_installation
echo Probably THE is not installed correctly.
echo Please refer to its documentation.
goto last_exit

:last_exit
