/* fw -- */
'@echo off'
/*
rem fw.rex -- Script from FW-Macros for THE (The Hessling Editor)
rem Copyright (C) 1993-1998 Franz-Josef Wirtz
rem
rem This script is free software; see the files README and COPYING for
rem details about refusing any warranty and the GNU General Public License.
rem
rem WHAT IS IT GOOD FOR?
rem Script for using the FW-macro-set *besides* the THE-standard-installation

rem WHAT YOU NEED TO DO
rem 1. Install THE as usual, if done first time, be sure the environment
rem    settings are available. I.e. eventually reboot to activate changes
rem    in your autoexec.bat.
rem 2. ???
rem 3. Copy or move this batch to a directory in your PATH-setting (or create
rem    an object...).

 last change: 12.Oct 1998
*/
trace off /* result */
parse arg arglist

/* check, wether THE is minimally installed */
env = "ENVIRONMENT"
the_home_dir = value( "THE_HOME_DIR",, env)

if THE_HOME_DIR == "" then
   signal _no_the_home

if stream(THE_HOME_DIR"\the.exe", "command", "query exists") == "" then
   signal _no_the_executable

HOME = value( "HOME", , env)
if (HOME = "") then
do
   say "Environment variable HOME not set, defaulting to current dir (.)"
   home = directory()
   call value "HOME", home, env
end
   
/* set/get user configuration from distinct files */
fwrc_the = HOME"\fwrc.the"
fwrc_cmd = HOME"\fwrc.rex"
no_fwrc_the = (stream( fwrc_the, "command", "query exists") == "")
no_fwrc_cmd = (stream( fwrc_cmd, "command", "query exists") == "")
if no_fwrc_the | no_fwrc_cmd then
do
   /* no setup files exist, so call THE to create these */
   if stream( "fw.the", "command", "query exists") <> "" then
   do
      say "'the' is called for initialization of FW-macros"
      address cmd the_home_dir"\the.exe -p fw.the"
      if rc <> 0 then
      do
         say 'THE returned error code 'rc', initialization failed. Sorry :-]'
         exit
      end
      else
         say "'the' is called again for doing the original job"
   end
   else
   do
      say "Please call this script from the directory where FW-macros are installed"
      say "to get FW-macros initialized properly."
      exit
   end
end
if stream( fwrc_cmd, "command", "query exists") == "" then
do
   say fwrc_cmd "does not exist, please initialize again with macro fwmkrc"
   exit
end

/* read and set environment variables to initialize THE properly */
n_rclines = 0
do while lines(fwrc_cmd)
   rcline = linein(fwrc_cmd)
   n_rclines = n_rclines + 1
   if n_rclines > 1 then /* skip comment on first line */
   do
      parse var rcline varname varval
      call value varname, varval, env
   end
end
call stream fwrc_cmd, "command", "close"

/* see and show what we've done...;-) */
THE_HELP_FILE = value( "THE_HELP_FILE", , env)
THE_PROFILE_FILE = value( "THE_PROFILE_FILE", , env)
the_fw_features = value( "THE_FW_FEATURES", , env)
say "THE_HELP_FILE="THE_HELP_FILE
say "THE_PROFILE_FILE="THE_PROFILE_FILE
say "THE_FW_FEATURES="the_fw_features
if wordpos( "CS", the_fw_features) > 0 then
   THE_FW_CALL = "call thec.rex"
else
   THE_FW_CALL = THE_HOME_DIR"\the.exe"

/* finally start THE with arguments passed (profile is taken from environment 
   variable) */
address cmd THE_FW_CALL arglist
if rc <> 0 then
   say 'THE returned error code' rc
exit

/* targets */
_no_the_home:
say "The environment variable THE_HOME_DIR is not set."
signal _the_installation

_no_the_executable:
say "The executable THE.EXE could not be found in "THE_HOME_DIR
address cmd "dir "THE_HOME_DIR
signal _the_installation

_the_installation:
say "Probably THE is not installed correctly."
say "Please refer to its documentation."
exit
